"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const prepare_compare_path_1 = require("./prepare-compare-path");
describe('prepareComparePath', () => {
    let firebasePath;
    let adminOriginalRootPath;
    let customFunctionPath;
    it('strips path for standard admin path', () => {
        firebasePath = '/admin/login';
        adminOriginalRootPath = '/admin';
        chai_1.expect(prepare_compare_path_1.prepareComparePath(firebasePath, adminOriginalRootPath)).to.eq('/login');
    });
    it('strips path admin path as "/"', () => {
        firebasePath = '/login';
        adminOriginalRootPath = '/';
        chai_1.expect(prepare_compare_path_1.prepareComparePath(firebasePath, adminOriginalRootPath)).to.eq('/login');
    });
    context('custom domain has been set with the proxy /debugFnc to the app', () => {
        beforeEach('', () => {
            firebasePath = '/debugFnc/login';
            adminOriginalRootPath = '/';
            customFunctionPath = 'debugFnc';
        });
        it('returns correct path', () => {
            const path = prepare_compare_path_1.prepareComparePath(firebasePath, adminOriginalRootPath, customFunctionPath);
            chai_1.expect(path).to.eq('/login');
        });
        it('returns correct path for customPath containing dash', () => {
            customFunctionPath = '/debugFnc';
            const path = prepare_compare_path_1.prepareComparePath(firebasePath, adminOriginalRootPath, customFunctionPath);
            chai_1.expect(path).to.eq('/login');
        });
    });
});
